      ************************************************************************
      * Copyright (C) 1999 Micro Focus International Ltd.
      * All rights reserved.
      *  
      * This demonstration program is provided for use by users of 
      * Micro Focus products (the "Software") and may be used, 
      * modified and distributed as part of your application provided 
      * that you properly acknowledge the copyright of Micro Focus in this
      * material.
      *     
      * All conditions, warranties and undertakings, express or implied, 
      * statutory or otherwise, on the part of Micro Focus are excluded, 
      * including without limitation those of merchantability or fitness  
      * for purpose. This shall not, however, purport to exclude or 
      * restrict the liability of Micro Focus to any extent not 
      * permitted by law.
      *
      * IN NO EVENT WILL MICRO FOCUS BE LIABLE FOR ANY INDIRECT, 
      * INCIDENTAL, SPECIAL, CONSEQUENTIAL OR OTHER DAMAGES ARISING OUT 
      * OF THE USE OF THE DEMONSTRATION PROGRAM DISTRIBUTED WITH THE 
      * SOFTWARE, WHETHER OR NOT INFORMED OF THE POSSIBILITIES OF 
      * DAMAGES IN ADVANCE.  THESE LIMITATIONS APPLY TO ALL CAUSES OF 
      * ACTION, INCLUDING BREACH OF CONTRACT, BREACH OF WARRANTY, STRICT
      * LIABILITY, AND ANY ACTIONS IN TORTS.
      ************************************************************************
       01 input-form is external-form.
           03  street-address pic x(120) identified by "address".
           03  phone-number   pic 9(10) identified by "phone".
           03  topping        pic x(9)  occurs 3 identified by "topping"
                                                 count in topping-count.
           03  paymethod      pic x(15) identified by "paymethod".
           03  callfirst      pic x(6)  identified by "callfirst".

       01 output-form is external-form identified by "outform2.htm".
           03  street-address pic x(120) identified by "address".
           03  phone-number   pic 9(10) identified by "phone".
           03  topping        pic x(9)  occurs 3 identified by "topping"
                                                 count in topping-count.
           03  paymethod      pic x(15) identified by "paymethod".
           03  callfirst      pic x(6)  identified by "callfirst".

       01 output-form-top is external-form identified by "outform4.htm".
           03  street-address pic x(120) identified by "address".
           03  phone-number   pic 9(10) identified by "phone".
       01.
           03  topping-count  pic 9(4).

       procedure division.
           accept input-form

           move input-form to output-form
           move corr input-form to output-form-top

           if callfirst of input-form = "yes"
              move "did" to callfirst of output-form
           else
              move "didn't" to callfirst of output-form
           end-if

           display output-form-top
           display output-form
