      $set repository(update on checking on)
      *-----------------------------------------------------------------
       class-id. IndPlacement as "IndPlacement"
                              inherits Student Employee.

       repository.
           class IndPlacement as "IndPlacement"
           class Student    as "Student"
           class Employee   as "Employee"
           class CharString as "String"
           property jobTitle
           .

       factory.

      *---------------------------------------------
      *
      * newIndPlacement: Allocates a new object reference 
      *
      *---------------------------------------------

       method-id. "newIndPlacement".
       data division.
       linkage section.
       01  lk-personName pic x any length.
       01  lk-dob        pic x any length.
       01  new-object   usage object reference active-class.
       procedure division using lk-personName lk-dob
                          returning new-object.
           invoke super "newperson" using lk-personName
                                          lk-dob
                                    returning new-object
           exit method
           .
       end method "newIndPlacement".

       end factory.

      *-----------------------------------------------------------------

       object.
       working-storage section.

      *---------------------------------------------
      *
      * display: display Industrial student details
      *
      *---------------------------------------------

       method-id. "display" override.
       local-storage section.
       01  emp1 usage object reference Employee.
       01  string1 usage object reference CharString.
       procedure division.
           display "Industrial Student " with no advancing
           invoke super "display"
           set emp1 to self
           set string1 to jobTitle of emp1
           display "Job title: " with no advancing
           invoke string1 "displaynl"
           exit method.
       end method "display".

      *---------------------------------------------
      *
      * finalize: remove resourses used by this class
      *
      *---------------------------------------------

       method-id. "finalize" override.
       procedure division.
           invoke super "finalize"
           exit method.
       end method "finalize".

       end object.
       end class IndPlacement.
       
